{{-- Master Layout --}}
@extends('cortex/tenants::tenantarea.layouts.default')

{{-- Page Title --}}
@section('title')
    {{ extract_title(Breadcrumbs::render()) }}
@endsection

@section('body-attributes')data-spy="scroll" data-offset="0" data-target="#navigation"@endsection

@section('meta-title', app('request.tenant')->name)
@section('meta-description', strip_tags(app('request.tenant')->description))

@if(app('request.tenant')->getFirstMediaUrl('cover_photo'))
    @section('meta-image', app('request.tenant')->getFirstMediaUrl('cover_photo'))
@endif


{{-- Main Content --}}
@section('content')

    <section id="home" name="home"></section>
    <div id="headerwrap">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 centered">
                    <h1>Welcome To <b>Homepage</b></h1>
                    <h3>Show your product with this handsome theme.</h3>
                    <br />
                </div>

                <div class="col-lg-2">
                    <h5>Amazing Results</h5>
                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>
                    <img class="hidden-xs hidden-sm hidden-md" src="img/arrow1.png">
                </div>
                <div class="col-lg-8">
                    <img class="img-responsive" src="img/app-bg.png" alt="">
                </div>
                <div class="col-lg-2">
                    <br />
                    <img class="hidden-xs hidden-sm hidden-md" src="img/arrow2.png">
                    <h5>Awesome Design</h5>
                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>
                </div>
            </div>
        </div>
    </div>

    <section id="desc" name="desc"></section>
    <div id="intro">
        <div class="container">
            <div class="row centered">
                <h1>Designed To Excel</h1>
                <br />
                <br />
                <div class="col-lg-4">
                    <img src="img/intro01.png" alt="">
                    <h3>Community</h3>
                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>
                </div>
                <div class="col-lg-4">
                    <img src="img/intro02.png" alt="">
                    <h3>Schedule</h3>
                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>
                </div>
                <div class="col-lg-4">
                    <img src="img/intro03.png" alt="">
                    <h3>Monitoring</h3>
                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>
                </div>
            </div>
            <br />
            <hr />
        </div>
    </div>


    <div id="features">
        <div class="container">
            <div class="row">
                <h1 class="centered">What's New?</h1>
                <br />
                <br />
                <div class="col-lg-6 centered">
                    <img class="centered" src="img/mobile.png" alt="">
                </div>

                <div class="col-lg-6">
                    <h3>Some Features</h3>
                    <br />
                    <div class="accordion " id="accordion2">
                        <div class="accordion-group">
                            <div class="accordion-heading">
                                <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseOne">
                                    First Class Design
                                </a>
                            </div>
                            <div id="collapseOne" class="accordion-body collapse in">
                                <div class="accordion-inner">
                                    <p>It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>
                                </div>
                            </div>
                        </div>
                        <br />

                        <div class="accordion-group">
                            <div class="accordion-heading">
                                <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseTwo">
                                    Retina Ready Theme
                                </a>
                            </div>
                            <div id="collapseTwo" class="accordion-body collapse">
                                <div class="accordion-inner">
                                    <p>It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>
                                </div>
                            </div>
                        </div>
                        <br />

                        <div class="accordion-group">
                            <div class="accordion-heading">
                                <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseThree">
                                    Awesome Support
                                </a>
                            </div>
                            <div id="collapseThree" class="accordion-body collapse">
                                <div class="accordion-inner">
                                    <p>It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>
                                </div>
                            </div>
                        </div>
                        <br />

                        <div class="accordion-group">
                            <div class="accordion-heading">
                                <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseFour">
                                    Responsive Design
                                </a>
                            </div>
                            <div id="collapseFour" class="accordion-body collapse">
                                <div class="accordion-inner">
                                    <p>It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>
                                </div>
                            </div>
                        </div>
                        <br />
                    </div>
                </div>
            </div>
        </div>
    </div>


    <section id="contact" name="contact"></section>
    <div id="footerwrap">
        <div class="container">
            <div class="col-lg-5">
                <h3>Address</h3>
                <p>
                    Av. Greenville 987,<br/>
                    New York,<br/>
                    90873<br/>
                    United States
                </p>
            </div>

            <div class="col-lg-7">
                <h3>Drop Us A Line</h3>
                <br />
                <form role="form" action="#" method="post" enctype="plain">
                    <div class="form-group">
                        <label for="name1">Your Name</label>
                        <input type="name" name="Name" class="form-control" id="name1" placeholder="Your Name">
                    </div>
                    <div class="form-group">
                        <label for="email1">Email address</label>
                        <input type="email" name="Mail" class="form-control" id="email1" placeholder="Enter email">
                    </div>
                    <div class="form-group">
                        <label>Your Text</label>
                        <textarea class="form-control" name="Message" rows="3"></textarea>
                    </div>
                    <br />
                    <button type="submit" class="btn btn-large btn-success">SUBMIT</button>
                </form>
            </div>
        </div>
    </div>

@endsection
